Page MenuHomePhabricator

Add gather_list.gl_item_count
Closed, ResolvedPublic

Description

Beta: run foreachwikiindblist /srv/mediawiki/all-labs.dblist extensions/Gather/maintenance/updateCounts.php on deployment-bastion done
Production:

  • before the patches in parent go live: log in to terbium, create a local copy of add-gl_item_count.sql, run mwscript sql.php --wiki=<wiki> ~/add-gl_item_count.sql done
  • after the patches went live, run mwscript extensions/Gather/maintenance/updateCounts.php --wiki=<wiki>; echo 'wfWaitForSlaves();' | mwscript eval.php --wiki=<wiki> on terbium

This needs to be done for each wiki where Gather is enabled.

Event Timeline

Tgr created this task.Jun 4 2015, 11:05 PM
Tgr claimed this task.
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 11:05 PM
Springle added a subscriber: Springle.EditedJun 5 2015, 1:17 AM

The schema change only affects a few wikis[1] and small tables, so imo it can go out at any time.

When running the updateCounts, monitor replication lag, as usual. Probably fine, again, because the tables are small.

[1] testwiki test2wiki enwiki enwikivoyage hewiki

Tgr added a comment.Jun 5 2015, 1:39 AM

Deployed schema change.

updateCounts must be run after the code is updated (next Tuesday?) It also needs to be run on beta.

Tgr added a comment.Jun 8 2015, 11:13 PM

Ran foreachwikiindblist /srv/mediawiki/all-labs.dblist extensions/Gather/maintenance/updateCounts.php on deployment-bastion.

Tgr updated the task description. (Show Details)Jun 9 2015, 12:36 AM
Jdlrobson moved this task from Needs triage to This Sprint on the Gather board.Jun 10 2015, 3:16 PM
Tgr added a comment.Jun 16 2015, 12:38 AM

And count: 0 items with lstminitems=1. Seems to work correctly with any parameter > 2 though. Probably somehow related to watchlists...

Jdlrobson reopened this task as Open.Jun 16 2015, 12:39 AM

@Tgr oh yes... what needs to be done here then? Does your recent patch fix this?

Tgr added a comment.Jun 16 2015, 12:50 AM

Tracked in T102573, let's keep this limited to the schema change.

Tgr closed this task as Resolved.Jun 16 2015, 1:04 AM

Ran the scripts on production, verified manually in SQL, seems good.